package com.persagy.apm.report.dependencies.saasweb.constants.enums;

import com.persagy.apm.common.model.annotation.SwaggerDisplayEnum;
import lombok.Getter;
import lombok.Setter;

/**
 * 面积类型
 *
 * @author lixing
 * @version V1.0 2021/5/17 10:51 上午
 */
@SwaggerDisplayEnum
public enum AreaTypeEnum {
    /**
     * 面积类型
     */
    TOTAL("1", "总建筑面积"),
    UNDERGROUND_GARAGE("2", "地下停车场面积"),
    PUBLIC_AREA("3", "公区面积"),
    COMMERCIAL("4", "商业面积");


    @Setter
    @Getter
    private String type;
    @Setter
    @Getter
    private String desc;

    AreaTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }
}
