package com.persagy.apm.report.detail.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.report.detail.paragraphvalue.model.vo.ReportParagraphValueItemVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021-05-17 11:08:35
 */
@Data
@ApiModel(value = "段落")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ParagraphVO {
    @ApiModelProperty("段落id")
    private String id;
    @ApiModelProperty("段落定义编码")
    private String defineCode;
    @ApiModelProperty("段落名称")
    private String name;
    @ApiModelProperty("段落头部属性")
    private List<AttrDefineVO> headerAttrs;
    @ApiModelProperty("段落列表属性")
    private List<AttrDefineVO> listAttrs;
    @ApiModelProperty("段落列表属性")
    private List<AttrDefineVO> supplement;
    @ApiModelProperty("段落取值")
    private ReportParagraphValueItemVO paragraphValue;
}
