package com.persagy.apm.report.detail.paragraphvalue.model.vo;

import com.persagy.apm.report.detail.model.vo.AttrValueVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-14 16:59:59
 */
@Data
@ApiModel(value = "报告段落取值返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportParagraphValueItemVO {
    @ApiModelProperty("段落头部信息")
    private List<AttrValueVO> header;

    @ApiModelProperty("段落内容信息")
    private ParagraphContentVO content;

    @ApiModelProperty("段落补充信息")
    private List<AttrValueVO> supplement;
}
