package com.persagy.apm.report.indicator.model.vo;

import com.persagy.apm.report.detail.enums.AttrValueTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

/**
 * 图表vo类
 *
 * @author lixing
 * @version V1.0 2021/8/5 11:09 上午
 **/
@Data
@ApiModel
@AllArgsConstructor
public class GraphVO {
    @ApiModelProperty(value = "标准值图例名称")
    private String standardName;
    @ApiModelProperty(value = "标准值")
    private String standardValue;
    @ApiModelProperty(value = "值类型")
    private AttrValueTypeEnum type;
    @ApiModelProperty(value = "图表数据")
    private List<GraphItemVO> data;
}
