package com.persagy.apm.report.userconfig.function.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-23 17:55:20
 */
@Data
@ApiModel(value = "功能点返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FunctionItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("功能点名称")
    private String name;

    @ApiModelProperty("功能点定义")
    private Object define;

    @ApiModelProperty("数据来源")
    private String dataSource;

    @ApiModelProperty("合格标准")
    private String qualifiedStandard;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("修改人")
    private String modifier;

    @ApiModelProperty("修改时间")
    private Date modifiedTime;

}
