package com.persagy.apm.report.userconfig.paragraphcustom.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import com.persagy.apm.common.model.dto.PageDTO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author lixing
 * @version V1.0 2021-07-15 18:12:06
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "分页查询段落定制入参")
public class PageQueryParagraphCustomDTO extends PageDTO {
    @ApiModelProperty(value = "主键", required = true)
    private String id;

    @ApiModelProperty(value = "段落定义主键", required = true)
    private String defineId;

    @ApiModelProperty(value = "头部属性", required = true)
    private Object headerAttrs;

    @ApiModelProperty(value = "列表属性", required = true)
    private Object listAttrs;

}
