package com.persagy.apm.report.detail.paragraphvalue.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-14 16:59:59
 */
@Data
@ApiModel(value = "报告段落取值列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ReportParagraphValueListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("报告概要主键")
    private String reportOutlineId;

    @ApiModelProperty("段落主键")
    private String paragraphId;

    @ApiModelProperty("段落头部信息")
    private Object header;

    @ApiModelProperty("段落内容信息")
    private Object content;

    @ApiModelProperty("段落补充信息")
    private Object supplement;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("修改人")
    private String modifier;

    @ApiModelProperty("修改时间")
    private Date modifiedTime;

}
