package com.persagy.apm.report.userconfig.paragraphcustom.model.vo;

import com.persagy.apm.report.detail.model.vo.AttrDefineVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-15 18:12:06
 */
@Data
@ApiModel(value = "段落定制返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ParagraphCustomItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("段落模板主键")
    private String modelId;

    @ApiModelProperty("头部属性")
    private List<AttrDefineVO> headerAttrs;

    @ApiModelProperty("列表属性")
    private List<AttrDefineVO> listAttrs;

    @ApiModelProperty("补充说明")
    private List<AttrDefineVO> supplement;
}
