package com.persagy.apm.report.userconfig.pargraphdefine.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * @author lixing
 * @version V1.0 2021-07-20 10:23:09
 */
@Data
@ApiModel(value = "段落定义列表返回结果参数")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ParagraphDefineListItemVO {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("段落模板主键")
    private String modelId;

    @ApiModelProperty("包含的分组")
    private String groupIds;

    @ApiModelProperty("包含的条目")
    private String itemIds;

    @ApiModelProperty("创建人")
    private String creator;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("修改人")
    private String modifier;

    @ApiModelProperty("修改时间")
    private Date modifiedTime;

}
